LOCKD(8C)

NAME
lockd, rpc.lockd - network lock daemon

SYNOPSIS
/usr/etc/rpc.lockd [ -g graceperiod ] [ -t timeout ]

DESCRIPTION

lockd processes lock requests that are either sent locally by the kernel or remotely by another lock daemon. lockd forwards lock requests for remote data to the server site's lock daemon through the rpc(3N) xdr(3N) in lockd(8C) package. lockd then requests the status monitor daemon, statd(8C), for monitor service. The reply to the lock request will not be sent to the kernel until the status daemon and the server site's lock daemon have replied.

If either the status monitor or server site's lock daemon is unavailable, the reply to a lock request for remote data is delayed until all daemons become available.

When a server recovers, it waits for a grace period for all client site lock daemons to submit reclaim requests. Client site lock daemons, on the other hand, are notified by the status daemon of the server recovery and promptly resubmit previously granted lock requests. If lockd fails to secure a previously granted lock at the server site, it sends SIGLOST to a process.

OPTIONS

-t timeout
    Use timeout (seconds) as the interval instead of the default value (15 seconds) to retransmit lock request to the remote server.

-g graceperiod
    Use graceperiod (seconds) as the grace period duration instead of the default value (45 seconds).

SEE ALSO
fcntl(2V), lockf(3), signal(3V), statd(8C)